Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Comparing changes

Choose two branches to see what's changed or to start a new pull request. If you need to, you can also compare across forks.

Open a pull request

Create a new pull request by comparing changes across two branches. If you need to, you can also compare across forks.
base fork: tiagosab/omegat-debian
...
head fork: tiagosab/omegat-debian
Checking mergeability… Don't worry, you can still create the pull request.
  • 2 commits
  • 4 files changed
  • 0 commit comments
  • 1 contributor
Commits on Jun 08, 2011
@tiagosab Add sun-java6 and openjdk-7 as runtime alternatives.
sun-java6 was removed on the (false) premise that only openjdk
provided jaxb. As for openjdk-7, I've just tested it from experimental
and everything seems to work.
9702a8c
Commits on Jun 09, 2011
@tiagosab Add debian/README.Debian-plugins. 6f4de9d
View
19 debian/README.Debian-plugins
@@ -0,0 +1,19 @@
+OmegaT may be extended by plugins. None of them is currently available
+as debian packages, and here are some pointers.
+
+* omegat-plugins
+
+http://omegat-plugins.sourceforge.net/
+
+This project allows integration with Lucene stemmer, for the
+recognition of inflected forms, and LanguageTools, a style and grammar
+checker.
+
+* okapi-framework
+
+http://okapi.opentag.com/
+
+okapi-framework contains a plugin which extend the file formats
+supported by OmegaT.
+
+ -- Tiago Saboga <tiagosaboga@gmail.com> Thu, 09 Jun 2011 10:49:02 -0300
View
5 debian/changelog
@@ -1,10 +1,11 @@
omegat (2.2.3~beta4+dfsg-1) unstable; urgency=low
* New upstream release (Closes: #558708).
+ * Add debian/README.Debian-plugins file.
* Move debian packaging to git.
* State copyright for source file src/schemas/srx20.xsd.
* Disable debian/watch: unable to follow upstream naming scheme.
- * Do not use sun java: we are using jaxb from openjdk.
+ * Add openjdk-7-jre as runtime alternative.
* javahelp-filters: Remove sun proprietary dtds.
* Use openjdk swingworker.
* Fix deprecated global warning (thanks Satoru Kurashiki).
@@ -24,7 +25,7 @@ omegat (2.2.3~beta4+dfsg-1) unstable; urgency=low
+ Move libaccess-bridge-java-jni to Suggests.
* Bump debian policy (no changes needed).
- -- Tiago Saboga <tiagosaboga@gmail.com> Tue, 07 Jun 2011 17:21:02 -0300
+ -- Tiago Saboga <tiagosaboga@gmail.com> Thu, 09 Jun 2011 10:56:35 -0300
omegat (1.8.1.2+dfsg-1.1) unstable; urgency=low
View
5 debian/control
@@ -13,8 +13,9 @@ Standards-Version: 3.9.2
Package: omegat
Architecture: all
-Depends: ${misc:Depends}, openjdk-6-jre, libvldocking-java,
- libhtmlparser-java, libswing-layout-java
+Depends: ${misc:Depends}, openjdk-6-jre | openjdk-7-jre |
+ sun-java6-jre, libvldocking-java, libhtmlparser-java,
+ libswing-layout-java
Recommends: libjna-java, libhunspell-1.2-0
Suggests: libaccess-bridge-java-jni
Description: Computer Assisted Translation (CAT) tool
View
1  debian/omegat.docs
@@ -0,0 +1 @@
+debian/README.Debian-plugins

No commit comments for this range

Something went wrong with that request. Please try again.